Package org.github.jamm

# Class CannotAccessFieldException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.github.jamm.CannotAccessFieldException

All Implemented Interfaces:
  `Serializable`

public class CannotAccessFieldException extends RuntimeException
`RuntimeException` thrown when Jamm cannot access successfully one of the fields from an object of the measured graph.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`CannotAccessFieldException(String message)`
`CannotAccessFieldException(String message, Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CannotAccessFieldException

public CannotAccessFieldException(String message)

### CannotAccessFieldException

public CannotAccessFieldException(String message, Throwable cause)